#================================================================================
# HCC and Consolidation configuration details - Seperated from main configuration file cps.conf
# This file requires for cps12.00.00 and higher version releases.
#================================================================================

# NOTE - THIS FILE SHOULD CONTAIN ALL CONFIGURATION ITEMS IRRESPECTIVE OF
#        ENVIRONMENT SPECIFIC OR NOT. ONLY VALUES SHOULD CHANGE.


#================================================================================
#History:
# 02/08/19 01 Mukesh Patel   Initial file created to test separate configuration for hcc and consolidation
#================================================================================

#Switch for HCC
#cps.tuicommon.hcc=true

cps.TUITH.hcc.switch=true
cps.TUITHFO.hcc.switch=true
cps.TUIFC.hcc.switch=true
cps.TUITHCRUISE.hcc.switch=true
cps.TUITHRIVERCRUISE.hcc.switch=true
cps.TUIFALCON.hcc.switch=true
cps.TUICRUISEDEALS.hcc.switch=true
cps.TUIHMCRUISE.hcc.switch=true
cps.TUIFALCONFO.hcc.switch=true
cps.ANCFALCON.hcc.switch=true
cps.ANCFIRSTCHOICE.hcc.switch=true
cps.ANCTHCRUISE.hcc.switch=true
cps.ANCTHOMSON.hcc.switch=true
cps.ANCTHFO.hcc.switch=true
cps.ANCFJFO.hcc.switch=true
cps.THOMSONMOBILE.hcc.switch=true
cps.FIRSTCHOICEMOBILE.hcc.switch=true
cps.LYP_TUITH.hcc.switch=true
cps.LYP_TUIFC.hcc.switch=true
cps.LYP_TUIFALCON.hcc.switch=true
cps.TUICS.hcc.switch=true
cps.TUIES.hcc.switch=true
cps.ANCSKICS.hcc.switch=true
cps.ANCSKIES.hcc.switch=true



cps.AtcomRes.hcc.switch=true
cps.TUITHSHOREX.hcc.switch=true
cps.NEWSKIES.hcc.switch=true
cps.NEWSKIESM.hcc.switch=true



#Switch for common payment page consolidation
cps.tuicommon.paymentpage=true
cps.tuicommon.applicableBrands=TUITH,TUIFALCON,TUITHCRUISE,TUIFC,FIRSTCHOICEMOBILE,THOMSONMOBILE,TUIFALCONFO,TUITHFO,TUICRUISEDEALS,TUIHMCRUISE,TUITHRIVERCRUISE,TUICS,TUIES
cps.nonhybris.brands=AtcomRes,NEWSKIES,NEWSKIESM

#Switch for FAE MMB payment page
cps.fae.paymentpage=true
cps.fae.applicableBrands=ANCTHOMSON,ANCFIRSTCHOICE,ANCFALCON

#Added brands page set ID for HCC
cps.TUITH.pageSetID=4237
cps.TUITHFO.pageSetID=4238
cps.TUIFC.pageSetID=4239
cps.TUITHCRUISE.pageSetID=4240
cps.TUITHRIVERCRUISE.pageSetID=4240
cps.TUIFALCON.pageSetID=4241
cps.TUICRUISEDEALS.pageSetID=4246
cps.TUIHMCRUISE.pageSetID=4247
cps.TUIFALCONFO.pageSetID=4248
cps.ANCFALCON.pageSetID=4361
cps.ANCFIRSTCHOICE.pageSetID=4362
cps.ANCTHCRUISE.pageSetID=4364
cps.ANCTHOMSON.pageSetID=4245
cps.ANCTHFO.pageSetID=4363
cps.ANCFJFO.pageSetID=4248
cps.THOMSONMOBILE.pageSetID=4237
cps.FIRSTCHOICEMOBILE.pageSetID=4239
cps.LYP_TUITH.pageSetID=4249
cps.LYP_TUIFC.pageSetID=4250
cps.LYP_TUIFALCON.pageSetID=4251

cps.LYP_ANCTHOMSON.pageSetID=4237
cps.LYP_ANCFIRSTCHOICE.pageSetID=4239
cps.LYP_ANCFALCON.pageSetID=4241

cps.TUITHAO.pageSetID=4258
cps.TUIFCAO.pageSetID=4259
cps.TUIFALCONAO.pageSetID=4260

cps.AtcomRes.pageSetID=4270
cps.TUITHSHOREX.pageSetID=4273
cps.NEWSKIES.pageSetID=4271
cps.NEWSKIESM.pageSetID=4272
cps.TUICS.pageSetID=4322
cps.TUIES.pageSetID=4323

cps.ANCSKICS.pageSetID=4344
cps.ANCSKIES.pageSetID=4345

cps.M_ANCTHCRUISE.pageSetID=4317
cps.M_TUICRUISEDEALS.pageSetID=4318
cps.M_TUITHCRUISE.pageSetID=4316

#Added as part of Iframe implementation
cps.hcc.cv2avs.enabled=true

#Added brands title for consolidated payment page
cps.TUITH.title=TUI Holidays | Discover Your Smile
cps.TUIFALCON.title=TUI Holidays | Discover Your Smile
cps.TUITHFO.title=Flights with TUI | Thomson now TUI Airways
cps.TUIFALCONFO.title=Flights with TUI | TUI Airways
cps.THOMSONMOBILE.title=Thomson Holidays
cps.TUITHCRUISE.title=TUITHCruise | Payment Details
cps.TUITHRIVERCRUISE.title=TUITHRiverCruise | Payment Details
cps.TUIHMCRUISE.title=Holiday Hypermarket | Find Your Dream 2017/2018 Package Holiday
cps.TUICRUISEDEALS.title=CruiseDeals.co.uk | Best Deals & Discounts on Cruise Holidays
cps.TUIFC.title=First Choice | The Home of All Inclusive Holidays
cps.FIRSTCHOICEMOBILE.title=First Choice Holidays
cps.TUICS.title=Crystal Ski Holidays | Get More Winter
cps.TUIES.title=Crystal Ski Holidays | Get More Winter

#Added brands title for FAE ANC payment page
cps.ANCTHOMSON.title=TUI Holidays | Discover Your Smile
cps.ANCFALCON.title=TUI Holidays | Discover Your Smile
cps.ANCFIRSTCHOICE.title=First Choice | The Home of All Inclusive Holiday


#Added brands header texts for consolidated payment page
cps.TUITH.headerText=BOOK YOUR HOLIDAY
cps.TUIFALCON.headerText=Book your holiday
cps.TUITHFO.headerText=Book your flight
cps.TUIFALCONFO.headerText=BOOK YOUR FLIGHT
cps.THOMSONMOBILE.headerText=Book your holiday
cps.TUITHCRUISE.headerText=Book your holiday
cps.TUITHRIVERCRUISE.headerText=Book your holiday
cps.TUIHMCRUISE.headerText=Book your holiday
cps.TUICRUISEDEALS.headerText=Book your holiday
cps.TUIFC.headerText=Book your holiday
cps.FIRSTCHOICEMOBILE.headerText=Book your holiday
cps.TUICS.headerText=BOOK YOUR HOLIDAY
cps.TUIES.headerText=Book your holiday

#Added brands headerText for FAE ANC payment page
cps.ANCTHOMSON.headerText=Payment
cps.ANCFALCON.headerText=Payment
cps.ANCFIRSTCHOICE.headerText=Payment

#Added holiday Summary accordianfor consolidated payment page
cps.TUITH.holidaySummaryAccordian=holiday summary
cps.TUIFALCON.holidaySummaryAccordian=holiday summary
cps.TUITHFO.holidaySummaryAccordian=FLIGHT SUMMARY
cps.TUIFALCONFO.holidaySummaryAccordian=flight summary
cps.THOMSONMOBILE.holidaySummaryAccordian=HOLIDAY SUMMARY
cps.TUITHCRUISE.holidaySummaryAccordian=cruise summary
cps.TUITHRIVERCRUISE.holidaySummaryAccordian=cruise summary
cps.TUIHMCRUISE.holidaySummaryAccordian=CRUISE SUMMARY
cps.TUICRUISEDEALS.holidaySummaryAccordian=cruise summary
cps.TUIFC.holidaySummaryAccordian=HOLIDAY SUMMARY
cps.FIRSTCHOICEMOBILE.holidaySummaryAccordian=HOLIDAY SUMMARY
cps.TUICS.holidaySummaryAccordian=holiday summary
cps.TUIES.holidaySummaryAccordian=holiday summary
cps.FAE.holidaySummaryAccordian=FLIGHT EXTRAS SUMMARY

#Added passengers accordianfor consolidated payment page
cps.TUITH.passengersAccordian=passengers
cps.TUIFALCON.passengersAccordian=passengers
cps.TUITHFO.passengersAccordian=passengers
cps.TUIFALCONFO.passengersAccordian=passengers
cps.THOMSONMOBILE.passengersAccordian=passengers
cps.TUITHCRUISE.passengersAccordian=passengers
cps.TUITHRIVERCRUISE.passengersAccordian=passengers
cps.TUIHMCRUISE.passengersAccordian=passengers
cps.TUICRUISEDEALS.passengersAccordian=passengers
cps.TUIFC.passengersAccordian=passengers
cps.FIRSTCHOICEMOBILE.passengersAccordian=passengers
cps.TUICS.passengersAccordian=passengers
cps.TUIES.passengersAccordian=passengers

#Added payment accordian for consolidated payment page
cps.TUITH.paymentAccordian=payment
cps.TUIFALCON.paymentAccordian=choose payment amount
cps.TUITHFO.paymentAccordian=payment
cps.TUIFALCONFO.paymentAccordian=payment
cps.THOMSONMOBILE.paymentAccordian=SECURE ONLINE PAYMENT
cps.TUITHCRUISE.paymentAccordian=payment
cps.TUITHRIVERCRUISE.paymentAccordian=payment
cps.TUIHMCRUISE.paymentAccordian=payment
cps.TUICRUISEDEALS.paymentAccordian=payment
cps.TUIFC.paymentAccordian=CHOOSE PAYMENT AMOUNT
cps.FIRSTCHOICEMOBILE.paymentAccordian=SECURE ONLINE PAYMENT
cps.TUICS.paymentAccordian=payment
cps.TUIES.paymentAccordian=choose payment amount
cps.FAE.paymentAccordian=payment


#Added holiday Summary accordian for consolidated payment page
cps.THOMSONMOBILE.holidaySummaryAccordian=HOLIDAY SUMMARY
cps.FIRSTCHOICEMOBILE.holidaySummaryAccordian=HOLIDAY SUMMARY


#Added passengers accordianfor consolidated payment page
cps.THOMSONMOBILE.passengersAccordian=PASSENGERS
cps.FIRSTCHOICEMOBILE.passengersAccordian=PASSENGERS

#Added for DD applicable brands
cps.dd.applicableBrands=TUITH,TUIFC,TUITHCRUISE,THOMSONMOBILE,TUITHRIVERCRUISE,TUICS	

cps.hcc.protocol=https

cps.hcc.validation.error=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;max-width:760px;}</style>There's something wrong with the card details you entered. Please check these and try again, or select another payment method<p style='display:none'>ERROR_MESSAGE</p></div>
cps.hcc.datacash.error=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;font-weight: 100;}.tech-error a{color:white}</style>Looks like something has gone wrong and we're unable to take payment from this card right now. Please select another payment method from the options above or refresh the page to pay with another card.<p style='display:none'>ERROR_MESSAGE</p></div>
cps.hcc.generic.error=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;max-width:760px;}</style>There's been a technical error submitting your card details. Please select another payment method<p style='display:none'>ERROR_MESSAGE</p></div>


cps.VISA_Debit=Debit
cps.VISA=Credit
cps.DEBIT_MASTERCARD=Debit
cps.MASTERCARD=Credit
cps.VISA_ELECTRON=Debit
cps.MAESTRO=Gift
cps.AMERICAN_EXPRESS=Credit
cps.MASTERCARD_GIFT=Gift
cps.TUI_MASTERCARD=Credit
cps.VISA_DELTA=Debit
cps.VISA_PURCHASING=Credit


cps.TUIFALCON.emv3ds.enabled=true
cps.TUIFALCONFO.emv3ds.enabled=true
cps.TUIES.emv3ds.enabled=true
cps.ANCFALCON.emv3ds.enabled=true
cps.ANCFJFO.emv3ds.enabled=true

cps.emv.3ds.merchantreference.enabled=true

cps.emv.3ds.fallback.status.codes=2501,2503,2506,2507,2510
cps.emv3ds.supported.status.codes=2500
cps.emv.3ds.retry.status.codes=2516,2553


Following pagesetID's are added for oscar implementation
cps.OSCAR_TUIES.pageSetID=4323
cps.OSCAR_TUIFALCON.pageSetID=4377
cps.OSCAR_ANCFALCON.pageSetID=4378
cps.OSCAR_TUIFALCONFO.pageSetID=4375
cps.OSCAR_ANCFJFO.pageSetID=4376
cps.OSCAR_TUIFALCONAO.pageSetID=4379




cps.emv.3ds.init.auth.error.2523=An external communications error occurred, looks like something has gone wrong and we're unable to take payment from this card right now. Please select another payment method from the options above or refresh the page to pay with another card.
cps.emv.3ds.init.auth.error.generic=Looks like something has gone wrong and we're unable to take payment from this card right now. Please select another payment method from the options above or refresh the page to pay with another card.

cps.emv.3ds.auth.payer.error.2527=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;max-width:760px;}</style>Unable to authenticate Cardholder, there's something wrong with the card details you entered. Please check these and try again, or select another payment method<p style='display:none'>ERROR_MESSAGE</p></div>
cps.emv.3ds.auth.payer.error.generic=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;max-width:760px;}</style>There's been a technical error submitting your card details. Please select another payment method<p style='display:none'>ERROR_MESSAGE</p></div>
cps.emv.3ds.auth.payer.error.validation=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;max-width:760px;}</style>There's something wrong with the card details you entered. Please check these and try again, or select another payment method<p style='display:none'>ERROR_MESSAGE</p></div>
cps.emv.3ds.auth.payer.error.datacash=<div class='tech-error'><style>.tech-error{background:#d40e14;color:white;font-size:18px;font-family:arial;padding:2rem;margin:0 auto;font-weight: 100;}.tech-error a{color:white}</style>Looks like something has gone wrong and we're unable to take payment from this card right now. Please select another payment method from the options above or refresh the page to pay with another card.<p style='display:none'>ERROR_MESSAGE</p></div>

cps.emv.3ds.az.pay.error.codes=2543
cps.emv.3ds.az.pay.error.2543=The referenced transaction cannot be found
cps.emv.3ds.az.pay.error.generic=Card declined as the referenced transaction cannot be found
cps.emv.3ds.init.auth.wait.time=8000


cps.emv.auth.success.codes=2550,2551
cps.emv3ds.frictionless.codes=2550,2551

cps.emv.3ds.ipaddress.enabled=true
cps.emv.3ds.ipaddress.regex=^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$